#ifndef MSP_VR_OCULUSRIFTCAMERA_H_
#define MSP_VR_OCULUSRIFTCAMERA_H_

#include "headtrackingcamera.h"

namespace Msp {
namespace VR {

class OculusRiftDevice;

class OculusRiftCamera: public HeadTrackingCamera
{
private:
	const OculusRiftDevice &device;
	const GL::Camera &base_camera;

public:
	OculusRiftCamera(const OculusRiftDevice &, const GL::Camera &);

	virtual void reset_tracking();
	virtual void update();
};

} // namespace VR
} // namespace Msp

#endif
